Subject: Re: [PATCH v2 20/27] update-ref --stdin: Reimplement using reference transactions

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Apr 2014 08:57:30 -0700

Michael Haggerty <[email-masked]> writes:

> I assumed that rolling back a non-consummated transaction in the case of
> early program death should be the responsibility of the library, not of
> the caller.  If I'm correct, the caller(s) won't have to be modified
> when the atexit facility is added, so I don't see a reason to add it
> before it is needed by a concrete backend.
>
> But you suggest that the caller should be involved.

I didn't say "should".  If the library can automatically rollback
without being called upon die() anywhere in the system, that is
better.  The suggestion was because I didn't think you were shooting
for such a completeness in the library part, and a possible way out
is for the caller to help.